Get a session
GET
https://api.vercel.com/v2/sandboxes/sessions/{sessionId}Retrieves detailed information about a specific session, including its current status, resource configuration, and exposed routes.
Request
import { Vercel } from "@vercel/sdk";
const vercel = new Vercel({ bearerToken: "<YOUR_BEARER_TOKEN_HERE>",});
async function run() { const result = await vercel.sandboxes.getSession({ sessionId: "sbx_abc123", teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l", slug: "my-team-url-slug", });
console.log(result);}
run();Response
{ "routes": [ { "port": "123", "subdomain": "string", "system": "true", "url": "https://example.com" } ], "session": { "abortedAt": "1750344501629", "activeCpuDurationMs": "42", "architecture": "amd64", "createdAt": "1750344501629", "cwd": "/vercel/sandbox", "duration": "3600000", "id": "sbx_123a6c5209bc3778245d011443644c8d27dc2c50", "memory": "2048", "networkPolicy": { "allowedCIDRs": [], "allowedDomains": [], "deniedCIDRs": [], "injectionRules": [ { "domain": "api.vercel.com", "headerNames": [] } ], "mode": "custom" }, "networkTransfer": { "egress": "123", "ingress": "123" }, "projectId": "prj_123a6c5209bc3778245d011443644c8d27dc2c50", "region": "iad1", "requestedAt": "1750344501629", "requestedStopAt": "1750344501629", "runtime": "node22", "snapshottedAt": "1750344501629", "sourceSandboxName": "my-sandbox", "sourceSnapshotId": "snap_123a6c5209bc3778245d011443644c8d27dc2c50", "startedAt": "1750344501629", "status": "running", "stoppedAt": "1750344501629", "timeout": "3600000", "updatedAt": "1750344501629", "v0": "false", "vcpus": "2" }}AuthorizationbearerToken
Default authentication mechanism
400One of the provided values in the request query is invalid.
401The request is not authorized.
403You do not have permission to access this resource.
404Error
410Error
429Error
500Error